This page was not yet optimized for use on mobile devices.
FastIron ICX™ 7450 Series Switch/Router
Certificate details
| Certificate ID | #4474 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 14.04.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When assembled as per Security Policy Table 3, and configured in FIPS Approved Mode as per Security Policy Section 8 |
| Exceptions |
|
| Description | The ICX 7450 is an ideal network solution for campus networks requiring 1 GbE access or small aggregation deployments with upgradeable 1GbE, 10 GbE or 40 GbE uplink modules. The switch also makes a suitable data center Top-of-Rack (ToR) solution, providing a ToR access-layer that can be upgraded to run on 10GbE/40GbE in the future with minimum costs and changes to cabling. |
| Version (Hardware) | ICX7450-24P, ICX7450-48P, ICX7450-48F, ICX7400-4X1GF, ICX7400-4X10GF, ICX7400-4X10GC, ICX7400-1X40GQ, ICX7400-SERVICE-MOD, RPS16-E, RPS16DC-E, RPS16-I, RPS16DC-I, ICX-FAN10-I, ICX-FAN10-E, Filler Panel |
| Version (Firmware) | IronWare R08.0.95g |
| Vendor | Commscope Technologies LLC http://www.commscope.com/ |
| Lab | UL Verification Services, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-128, AES-192, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, CMACAsymmetric Algorithms
RSA-2048, RSA 2048, ECDH, ECDSA, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-256, SHA-384, SHA-224, SHA-512, MD5Schemes
MAC, KEX, KA, Key agreement, Key AgreementProtocols
SSHv2, SSL, TLSv1.2, TLS, TLS v1.2, IKEv2, IKE, IPsec, VPNRandomness
DRBG, RNGElliptic Curves
P-256, P-384, curve P-256Block cipher modes
ECB, CBC, CTR, CFB, GCMSecurity level
Level 1Standards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 180-4, SP 800-135, SP 800-90A, PKCS 1, PKCS #1, RFC-5905, RFC 4106, RFC 5282, RFC 7296Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4474,
"dgst": "2794fbeea945a8eb",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KAS-SSC#A2310",
"DSA#1318",
"#1318",
"KAS#1567",
"CVL#1566",
"DRBG#1837",
"SHS#4081",
"AES#5022",
"#1837",
"KAS#A2310",
"#5074",
"ECDSA#1282",
"#4081",
"HMAC#3336",
"#2707",
"CVL#1567",
"KTS#3336",
"#1282",
"RSA#2707",
"KTS#5022",
"#5022",
"KBKDF#166",
"#3336",
"AES#4550",
"#1567",
"#4550",
"AES#5074"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"08.0.95"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 28
},
"ECDSA": {
"ECDSA": 21
}
},
"FF": {
"DH": {
"DH": 35,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 6
}
},
"RSA": {
"RSA 2048": 3,
"RSA-2048": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 9
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 4,
"IKEv2": 95
},
"IPsec": {
"IPsec": 24
},
"SSH": {
"SSHv2": 112
},
"TLS": {
"SSL": {
"SSL": 2
},
"TLS": {
"TLS": 2,
"TLS v1.2": 1,
"TLSv1.2": 1
}
},
"VPN": {
"VPN": 1
}
},
"crypto_scheme": {
"KA": {
"KA": 1,
"Key Agreement": 7,
"Key agreement": 1
},
"KEX": {
"KEX": 1
},
"MAC": {
"MAC": 8
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 35,
"P-384": 34,
"curve P-256": 1
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#1282": 1,
"#1318": 2,
"#1567": 8,
"#166": 1,
"#1837": 1,
"#2707": 2,
"#3336": 2,
"#4081": 1,
"#4550": 3,
"#5022": 3,
"#5074": 2
}
},
"fips_certlike": {
"Certlike": {
"#1282 HMAC": 1,
"#1567 DRBG": 1,
"#2707 SHA": 1,
"#4550 CVL": 1,
"#5022 AES": 1,
"AES #4550": 1,
"AES #5022": 2,
"AES 128": 1,
"AES CMAC 128": 1,
"AES-128": 1,
"AES-128,192": 2,
"AES-192": 2,
"AES-256": 1,
"CVL #1567": 6,
"Cert. AES": 1,
"DES 56": 1,
"DRBG 4": 1,
"DSA Cert. #1318": 1,
"DSA-2048": 1,
"HMAC #3336": 2,
"HMAC-SHA- 1": 2,
"HMAC-SHA-1": 49,
"HMAC-SHA-1 (96": 1,
"HMAC-SHA-1,256": 2,
"HMAC-SHA-2": 16,
"HMAC-SHA-256": 9,
"HMAC-SHA-256 (128": 1,
"HMAC-SHA-384": 6,
"HMAC-SHA1": 2,
"PKCS #1": 1,
"PKCS 1": 2,
"RSA 2048": 3,
"RSA PKCS #1": 1,
"SHA-1": 4,
"SHA-1,256": 1,
"SHA-224": 2,
"SHA-256": 8,
"SHA-384": 3,
"SHA-512": 2,
"SHA1": 7
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 14
}
},
"SHA": {
"SHA1": {
"SHA-1": 5,
"SHA1": 7
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 8,
"SHA-384": 3,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 27
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 47,
"FIPS 180-4": 1,
"FIPS 186-4": 14,
"FIPS 197": 3,
"FIPS 198-1": 1
},
"NIST": {
"SP 800-135": 1,
"SP 800-90A": 1
},
"PKCS": {
"PKCS #1": 1,
"PKCS 1": 1
},
"RFC": {
"RFC 4106": 1,
"RFC 5282": 1,
"RFC 7296": 1,
"RFC-5905": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 49,
"AES-128": 3,
"AES-192": 2,
"AES-256": 1
}
},
"DES": {
"3DES": {
"Triple-DES": 2
},
"DES": {
"DES": 6
}
},
"constructions": {
"MAC": {
"CMAC": 3,
"HMAC": 6,
"HMAC-SHA-256": 5,
"HMAC-SHA-384": 3
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KBKDF#166",
"KAS#A2310",
"KAS-SSC#A2310",
"DSA#1318",
"KAS#1567",
"AES#4550",
"CVL#1566",
"CVL#1567",
"KTS#3336",
"DRBG#1837",
"SHS#4081",
"ECDSA#1282",
"RSA#2707",
"AES#5022",
"KTS#5022",
"AES#5074",
"HMAC#3336"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1318",
"#3336",
"#1567",
"#5074",
"#4550",
"#1282",
"#4081",
"#1837",
"#5022",
"#2707"
]
},
"policy_metadata": {
"/Author": "Gauri Gokhale",
"/Company": "",
"/Created": "D:20201108",
"/CreationDate": "D:20220623131927-07\u002700\u0027",
"/Creator": "Acrobat PDFMaker 22 for Word",
"/LastSaved": "D:20220123",
"/ModDate": "D:20220623131954-07\u002700\u0027",
"/Producer": "Adobe PDF Library 22.1.174",
"/SourceModified": "D:20220623200712",
"/Title": "",
"pdf_file_size_bytes": 1304699,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 64
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "0c025e9b2a99eff01b2ad498cb4695adc20fcc112f5ded66388f65fcfe43e1e0",
"source_hash": "0f3cec21a636db006d29ded178b714d78cc5225427231e6cc4bcf387448dd11d",
"txt_hash": "9c6ae92e912cd99b7672b745d7969cba47c1db2a1b94c382bc6952b3810c3df9"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When assembled as per Security Policy Table 3, and configured in FIPS Approved Mode as per Security Policy Section 8",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2023_010523_0646.pdf",
"date_sunset": null,
"description": "The ICX 7450 is an ideal network solution for campus networks requiring 1 GbE access or small aggregation deployments with upgradeable 1GbE, 10 GbE or 40 GbE uplink modules. The switch also makes a suitable data center Top-of-Rack (ToR) solution, providing a ToR access-layer that can be upgraded to run on 10GbE/40GbE in the future with minimum costs and changes to cabling.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "IronWare R08.0.95g",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "ICX7450-24P, ICX7450-48P, ICX7450-48F, ICX7400-4X1GF, ICX7400-4X10GF, ICX7400-4X10GC, ICX7400-1X40GQ, ICX7400-SERVICE-MOD, RPS16-E, RPS16DC-E, RPS16-I, RPS16DC-I, ICX-FAN10-I, ICX-FAN10-E, Filler Panel",
"level": 1,
"mentioned_certs": {},
"module_name": "FastIron ICX\u2122 7450 Series Switch/Router",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-04-14",
"lab": "UL Verification Services, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Commscope Technologies LLC",
"vendor_url": "http://www.commscope.com/"
}
}